summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohn Hendy2019-10-12 19:02:21 -0500
committerGitHub2019-10-12 19:02:21 -0500
commit3f1b17b8b1a1f660270b87f79705e10f509d14e8 (patch)
tree84f8a7ed1c40a498a872afed65e91d7ebc51637d
parent20c85bc6916f4fa61609e9857edee3fd708eca9c (diff)
parent4dd10c01a926ad62267d8f94b55f6a0e40cba16f (diff)
downloadaur-3f1b17b8b1a1f660270b87f79705e10f509d14e8.tar.gz
Merge pull request #1 from acxz/boost-fix
patch boost issue
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD14
-rw-r--r--boost-fix.patch15
3 files changed, 28 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d880e5f10e8..2ee719a4f87 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = ros-melodic-camera-calibration-parsers
pkgdesc = ROS - camera_calibration_parsers contains routines for reading and writing camera calibration parameters.
pkgver = 1.11.13
- pkgrel = 2
+ pkgrel = 3
url = https://wiki.ros.org/camera_calibration_parsers
arch = any
license = BSD
@@ -21,7 +21,9 @@ pkgbase = ros-melodic-camera-calibration-parsers
depends = boost
depends = yaml-cpp
source = ros-melodic-camera-calibration-parsers-1.11.13.tar.gz::https://github.com/ros-perception/image_common/archive/1.11.13.tar.gz
+ source = boost-fix.patch
sha256sums = 32a2e07724dec6eaaace21eae006274436d70d40bfe205249438570275c43cac
+ sha256sums = 85b506e095b95e6382b816625e798444c83e77f52eef8c98ed0182ef59d326d4
pkgname = ros-melodic-camera-calibration-parsers
diff --git a/PKGBUILD b/PKGBUILD
index 4470b3b0bdc..9488038edc1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,9 +5,8 @@ url='https://wiki.ros.org/camera_calibration_parsers'
pkgname='ros-melodic-camera-calibration-parsers'
pkgver='1.11.13'
-_pkgver_patch=0
arch=('any')
-pkgrel=2
+pkgrel=3
license=('BSD')
ros_makedepends=(
@@ -40,8 +39,15 @@ depends=(
)
_dir="image_common-${pkgver}/camera_calibration_parsers"
-source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/ros-perception/image_common/archive/${pkgver}.tar.gz")
-sha256sums=('32a2e07724dec6eaaace21eae006274436d70d40bfe205249438570275c43cac')
+source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/ros-perception/image_common/archive/${pkgver}.tar.gz"
+ "boost-fix.patch")
+sha256sums=('32a2e07724dec6eaaace21eae006274436d70d40bfe205249438570275c43cac'
+ '85b506e095b95e6382b816625e798444c83e77f52eef8c98ed0182ef59d326d4')
+
+prepare() {
+ cd "${srcdir}/${_dir}"
+ patch -uN CMakeLists.txt ../../../boost-fix.patch || return 1
+}
build() {
# Use ROS environment variables.
diff --git a/boost-fix.patch b/boost-fix.patch
new file mode 100644
index 00000000000..985ad85dc7e
--- /dev/null
+++ b/boost-fix.patch
@@ -0,0 +1,15 @@
+--- CMakeLists.txt.orig 2019-10-12 00:51:32.023316775 -0400
++++ CMakeLists.txt 2019-10-12 00:51:45.049983337 -0400
+@@ -4,11 +4,7 @@
+ find_package(catkin REQUIRED sensor_msgs rosconsole roscpp roscpp_serialization)
+
+ find_package(PythonLibs REQUIRED)
+-if(PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
+- find_package(Boost REQUIRED COMPONENTS filesystem python)
+-else()
+- find_package(Boost REQUIRED COMPONENTS filesystem python3)
+-endif()
++find_package(Boost REQUIRED COMPONENTS filesystem python)
+ include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})
+
+ catkin_python_setup()